package re;

import java.io.FileReader;

import re.ast.RENode;
import re.error.LexicalError;
import re.error.REError;
import re.lex.Lexer;
import re.parser.parser;

public class Main {

	public static void main(String args[]) throws Exception {
		String fileName = args[0];
		try {
			parser programParser = new parser(new Lexer(new FileReader(fileName)));
			RENode re = (RENode) programParser.parse().value;

			// TODO: Write PrettyPrint and print re.
			
			// TODO: Write NFABuilder and build NFA from re.

		} catch (LexicalError e) { 
			System.out.printf("%s\n", e.getMessage());
		} catch (REError e) { 
			System.out.printf("%s\n", e.getMessage());
		} 
	}
}
