package re.ast;

/**
 * A class to represent "\epsilon", an empty regular expression.
 */
public class REEmpty extends RENode {
	
	public REEmpty() {
	}

	@Override
	public void accept(Visitor visitor) {
		visitor.visit(this);
	}

	@Override
	public <DownType, UpType> UpType accept(PropagatingVisitor<DownType, UpType> visitor, DownType context) {
		return visitor.visit(this, context);
	}

}
