package re.error;

/**
 * An exception class to indicate an error
 * while processing regular expressions.
 * 
 * You should use this Error class when, for example,
 *  a regular expression refers to an id that
 *  is not defined.
 */
public class REError extends Error {

	public REError(String message) {
		super(message);
	}	
}
